<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__ble__common__sec__api__functions" kind="group">
    <compoundname>ble_common_sec_api_functions</compoundname>
    <title>Generic Security API</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__ble__common__sec__api__functions_1ga8263c58ec739238cab4fb9d603fbd488" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void wiced_bt_dev_configure_secure_connections_only_mode</definition>
        <argsstring>(void)</argsstring>
        <name>wiced_bt_dev_configure_secure_connections_only_mode</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Configure device to allow connections only with secure connections supported devices. </para>
        </briefdescription>
        <detaileddescription>
<para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;API must be called only once after BTM_ENABLED_EVT event received, before starting bluetooth activity&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><simplesect kind="return"><para>void </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="1899" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__ble__common__sec__api__functions_1ga2e41482216a1a152e3ecaf1c17d5e93f" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group___result_1gacfc32ead8a827d53416f01b19eb58310">wiced_result_t</ref></type>
        <definition>wiced_result_t wiced_bt_dev_sec_bond</definition>
        <argsstring>(wiced_bt_device_address_t bd_addr, wiced_bt_ble_address_type_t bd_addr_type, wiced_bt_transport_t transport, uint8_t pin_len, uint8_t *p_pin)</argsstring>
        <name>wiced_bt_dev_sec_bond</name>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref></type>
          <declname>bd_addr</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1ga97897f7408c23723933e9d21815c7294">wiced_bt_ble_address_type_t</ref></type>
          <declname>bd_addr_type</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1gae0d25ec063a889c537f3a77010cf5ef0">wiced_bt_transport_t</ref></type>
          <declname>transport</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>pin_len</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>p_pin</declname>
        </param>
        <briefdescription>
<para>Bond with peer device. </para>
        </briefdescription>
        <detaileddescription>
<para>If the connection is already up, but not secure, pairing is attempted.</para>
<para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;PIN parameters are only needed when bonding with legacy devices (pre-2.1 Core Spec)&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">bd_addr</parametername>
</parameternamelist>
<parameterdescription>
<para>: Peer device bd address to pair with. </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">bd_addr_type</parametername>
</parameternamelist>
<parameterdescription>
<para>: BLE_ADDR_PUBLIC or BLE_ADDR_RANDOM (applies to LE devices only) </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">transport</parametername>
</parameternamelist>
<parameterdescription>
<para>: BT_TRANSPORT_BR_EDR or BT_TRANSPORT_LE </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">pin_len</parametername>
</parameternamelist>
<parameterdescription>
<para>: Length of input parameter p_pin (0 if not used). </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">p_pin</parametername>
</parameternamelist>
<parameterdescription>
<para>: Pointer to Pin Code to use (NULL if not used).</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para />
</simplesect>
<bold> WICED_BT_PENDING </bold> : if successfully initiated, <linebreak />
<bold> WICED_BT_SUCCESS </bold> : if already paired to the device, else error code </para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="1919" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__ble__common__sec__api__functions_1ga4a977184563090cb94394b7da1f09760" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group___result_1gacfc32ead8a827d53416f01b19eb58310">wiced_result_t</ref></type>
        <definition>wiced_result_t wiced_bt_dev_sec_bond_cancel</definition>
        <argsstring>(wiced_bt_device_address_t bd_addr)</argsstring>
        <name>wiced_bt_dev_sec_bond_cancel</name>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref></type>
          <declname>bd_addr</declname>
        </param>
        <briefdescription>
<para>Cancel an ongoing bonding process with peer device. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">bd_addr</parametername>
</parameternamelist>
<parameterdescription>
<para>: Peer device bd address to pair with.</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para />
</simplesect>
<bold> WICED_BT_PENDING </bold> : if cancel initiated, <linebreak />
<bold> WICED_BT_SUCCESS </bold> : if cancel has completed already, else error code. </para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="1933" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__ble__common__sec__api__functions_1ga828fe3d842b9923e408a10b87ae8fb69" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group___result_1gacfc32ead8a827d53416f01b19eb58310">wiced_result_t</ref></type>
        <definition>wiced_result_t wiced_bt_dev_set_encryption</definition>
        <argsstring>(wiced_bt_device_address_t bd_addr, wiced_bt_transport_t transport, void *p_ref_data)</argsstring>
        <name>wiced_bt_dev_set_encryption</name>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref></type>
          <declname>bd_addr</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1gae0d25ec063a889c537f3a77010cf5ef0">wiced_bt_transport_t</ref></type>
          <declname>transport</declname>
        </param>
        <param>
          <type>void *</type>
          <declname>p_ref_data</declname>
        </param>
        <briefdescription>
<para>Encrypt the specified connection. </para>
        </briefdescription>
        <detaileddescription>
<para>Status is notified using <bold>BTM_ENCRYPTION_STATUS_EVT </bold> of <ref kindref="member" refid="group__wicedbt___device_management_1ga86af8a8bb467047c9af6007f15b0d344">wiced_bt_management_cback_t</ref>.</para>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">bd_addr</parametername>
</parameternamelist>
<parameterdescription>
<para>: Address of peer device </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">transport</parametername>
</parameternamelist>
<parameterdescription>
<para>: BT_TRANSPORT_BR_EDR or BT_TRANSPORT_LE </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">p_ref_data</parametername>
</parameternamelist>
<parameterdescription>
<para>: Encryption type <ref kindref="member" refid="group__btm__ble__api__functions_1ga063af36361f0fd1f625146102b5de0b6">wiced_bt_ble_sec_action_type_t</ref></para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para />
</simplesect>
<bold> WICED_BT_SUCCESS </bold> : already encrypted <linebreak />
<bold> WICED_BT_PENDING </bold> : command will be returned in the callback <linebreak />
<bold> WICED_BT_WRONG_MODE </bold> : connection not up. <linebreak />
<bold> WICED_BT_BUSY </bold> : security procedures are currently active </para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="1952" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__ble__common__sec__api__functions_1gafc9a54cc8cf09e7f9c42c9a24ce9df97" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void wiced_bt_dev_confirm_req_reply</definition>
        <argsstring>(wiced_result_t res, wiced_bt_device_address_t bd_addr)</argsstring>
        <name>wiced_bt_dev_confirm_req_reply</name>
        <param>
          <type><ref kindref="member" refid="group___result_1gacfc32ead8a827d53416f01b19eb58310">wiced_result_t</ref></type>
          <declname>res</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref></type>
          <declname>bd_addr</declname>
        </param>
        <briefdescription>
<para>Confirm the numeric value for pairing (in response to <bold>BTM_USER_CONFIRMATION_REQUEST_EVT </bold> of <ref kindref="member" refid="group__wicedbt___device_management_1ga86af8a8bb467047c9af6007f15b0d344">wiced_bt_management_cback_t</ref>) </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">res</parametername>
</parameternamelist>
<parameterdescription>
<para>: result of the operation WICED_BT_SUCCESS if success </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">bd_addr</parametername>
</parameternamelist>
<parameterdescription>
<para>: Address of the peer device</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>void </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="1964" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__ble__common__sec__api__functions_1gad12b350f7c723d95b5a0303beb1a8940" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void wiced_bt_dev_send_key_press_notif</definition>
        <argsstring>(wiced_bt_device_address_t bd_addr, wiced_bt_dev_passkey_entry_type_t type)</argsstring>
        <name>wiced_bt_dev_send_key_press_notif</name>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref></type>
          <declname>bd_addr</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__wicedbt___device_management_1gaabcb922e3e8a7cc04cfdc28585849ce7">wiced_bt_dev_passkey_entry_type_t</ref></type>
          <declname>type</declname>
        </param>
        <briefdescription>
<para>Inform remote device of keypress during pairing. </para>
        </briefdescription>
        <detaileddescription>
<para>Used during the passkey entry by a device with KeyboardOnly IO capabilities (typically a HID keyboard device).</para>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">bd_addr</parametername>
</parameternamelist>
<parameterdescription>
<para>: Address of the peer device </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">type</parametername>
</parameternamelist>
<parameterdescription>
<para>: notification type </para>
</parameterdescription>
</parameteritem>
</parameterlist>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="1977" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__ble__common__sec__api__functions_1ga4bbf570f3c73cbfa33ee41d7d0c09a99" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group___result_1gacfc32ead8a827d53416f01b19eb58310">wiced_result_t</ref></type>
        <definition>wiced_result_t wiced_bt_dev_get_bonded_devices</definition>
        <argsstring>(wiced_bt_dev_bonded_device_info_t *p_paired_device_list, uint16_t *p_num_devices)</argsstring>
        <name>wiced_bt_dev_get_bonded_devices</name>
        <param>
          <type><ref kindref="compound" refid="structwiced__bt__dev__bonded__device__info__t">wiced_bt_dev_bonded_device_info_t</ref> *</type>
          <declname>p_paired_device_list</declname>
        </param>
        <param>
          <type>uint16_t *</type>
          <declname>p_num_devices</declname>
        </param>
        <briefdescription>
<para>get bonded device list </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="out">p_paired_device_list</parametername>
</parameternamelist>
<parameterdescription>
<para>: array for getting bd address of bonded devices </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">p_num_devices</parametername>
</parameternamelist>
<parameterdescription>
<para>: list size of p_pared_device_list total number of bonded devices stored</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>wiced_result_t </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="1990" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__ble__common__sec__api__functions_1ga22ddaf5bbfe649631a40c80232cfdf8c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group___result_1gacfc32ead8a827d53416f01b19eb58310">wiced_result_t</ref></type>
        <definition>wiced_result_t wiced_bt_dev_delete_bonded_device</definition>
        <argsstring>(wiced_bt_device_address_t bd_addr)</argsstring>
        <name>wiced_bt_dev_delete_bonded_device</name>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref></type>
          <declname>bd_addr</declname>
        </param>
        <briefdescription>
<para>remove bonding with remote device with assigned bd_addr Note: This API cannot be used while being connected to the remote bd_addr </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">bd_addr</parametername>
</parameternamelist>
<parameterdescription>
<para>: bd_addr of remote device to be removed from bonding list</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>wiced_result_t </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="2003" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__ble__common__sec__api__functions_1ga6c925c9deb5746fc2844d111846e93ef" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
        <definition>wiced_bool_t wiced_bt_dev_get_security_state</definition>
        <argsstring>(wiced_bt_device_address_t bd_addr, uint8_t *p_sec_flags)</argsstring>
        <name>wiced_bt_dev_get_security_state</name>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref></type>
          <declname>bd_addr</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>p_sec_flags</declname>
        </param>
        <briefdescription>
<para>Get security flags for the device. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">bd_addr</parametername>
</parameternamelist>
<parameterdescription>
<para>: peer address </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">p_sec_flags</parametername>
</parameternamelist>
<parameterdescription>
<para>: security flags (see <ref kindref="member" refid="group__wicedbt___device_management_1ga81db582b115f4586be18f142d054b0ac">wiced_bt_sec_flags_e</ref>)</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>TRUE if successful </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="2015" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Bluetooth generic security API. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>